package CHAPTER06;

class Base3 {
	Base3() {
		System.out.println("Base 생성자 호출");
	}
}

class Derived3 extends Base3 {
	// 자식 클래스의 생성자
	Derived3() {
		System.out.println("Derived 생성자 호출");
	}
}

public class C6_04_AutoCallConstructor {
	public static void main(String[] args) {
		Derived3 obj = new Derived3();
	}
}